[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLQuery.Database

The TSQLConnection instance on which to execute SQL Statements

## Declaration

Source position: sqldb.pp line 694

`published property TSQLQuery.Database : TDataBase;`

## Description

Database is the SQL connection (of type TSQLConnection) on which SQL statements will be executed, and from which result sets will be retrieved. This property must be set before any form of SQL command can be executed, just like the Transaction property must be set.

Multiple TSQLQuery instances can be connected to a database at the same time.

## See also

TSQLQuery.Transaction |  | Transaction in which to execute SQL statements
TSQLConnection |  | An abstract class representing a connection to a SQL Database
TSQLTransaction |  | Transaction in which a TSQLQuery is handled